Method: projects.locations.aclPolicies.revisions.list

Lists all ACL policy revisions in a given ACL policy.

HTTP request


GET https://memorystore.googleapis.com/v1alpha/{parent=projects/*/locations/*/aclPolicies/*}/revisions

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The resource name of the ACL policy to list revisions for. Format: "projects/{project}/locations/{location}/aclPolicies/{aclPolicy}"

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of items to return.

pageToken

string

Optional. The nextPageToken value returned from a previous revisions.list request, if any.

Request body

The request body must be empty.

Response body

Response for revisions.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "aclPolicyRevisions": [
    {
      object (AclPolicyRevision)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
aclPolicyRevisions[]

object (AclPolicyRevision)

A list of ACL policy revisions.

nextPageToken

string

Token to retrieve the next page of results, or empty if there are no more results in the list.

unreachable[]

string

Unordered list. Locations that could not be reached.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/memorystore.read-write

IAM Permissions

Requires the following IAM permission on the parent resource:

  • memorystore.aclPolicyRevisions.list

For more information, see the IAM documentation.